<?php  
$wp_customize->add_section(
	'luzuk_premium_contactus_section',
	array(
		'title' => __( 'Contact Us Page', 'Luzuk' ),
		'priority' =>20
	)
);

backgroundManager($wp_customize, 'con_us', 'luzuk_premium_contactus_section', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

lzCustomLable($wp_customize, 'contactus_contpg_label', 'luzuk_premium_contactus_section', 'Contact Page Top Box');

lzAddElement($wp_customize, 'contpgdbx_addtitle', 'luzuk_premium_contactus_section', 'text', $label="Top Box Address Title ", 'luzuk_sanitize_text', 'Office Address');

lzAddElement($wp_customize, 'contpg_dbx_addtxt', 'luzuk_premium_contactus_section', 'textarea', $label="Top Box Address Text ", 'luzuk_sanitize_text', 'Lorem Ipsum is simply dummy text of printing and typesetting industry.');

lzAddElement($wp_customize, 'contpg_dbx_supptitle', 'luzuk_premium_contactus_section', 'text', $label="Top Box Support Title ", 'luzuk_sanitize_text', '24/7 Customer Support');

lzAddElement($wp_customize, 'contpg_dbx_supptxt', 'luzuk_premium_contactus_section', 'textarea', $label="Top Box Support Text ", 'luzuk_sanitize_text', 'Lorem Ipsum is simply dummy text of printing and typesetting industry.');

lzAddElement($wp_customize, 'contpg_dbx_busstitle', 'luzuk_premium_contactus_section', 'text', $label="Top Box Time Title ", 'luzuk_sanitize_text', 'Business Hours');

lzAddElement($wp_customize, 'contpg_dbx_busstxt', 'luzuk_premium_contactus_section', 'textarea', $label="Top Box Time Text ", 'luzuk_sanitize_text', 'Lorem Ipsum is simply dummy text of printing and typesetting industry.');

lzCustomLable($wp_customize, 'contactus_tpbxclr', 'luzuk_premium_contactus_section', ' Top Box Color');

addColorPalatOption($wp_customize, 'contapg_tpbxbgclr', 'luzuk_premium_contactus_section', 'Top Box Background Color', '#F6F4EC');

addColorPalatOption($wp_customize, 'contapg_tpbxicnclr', 'luzuk_premium_contactus_section', 'Top Box Icon Color', '#fff');

addColorPalatOption($wp_customize, 'contapg_tpbxicnbgclr', 'luzuk_premium_contactus_section', 'Top Box Icon Background Color', '#3B3939');

addColorPalatOption($wp_customize, 'contapg_tpbxicnbrdclr', 'luzuk_premium_contactus_section', 'Top Box Icon Border Color', '#fff');
// *******

lzCustomLable($wp_customize, 'contactus_contpg_label', 'luzuk_premium_contactus_section', 'Contact Details');

lzAddElement($wp_customize, 'contpg_subtitle', 'luzuk_premium_contactus_section', 'text', $label="Sub Title ", 'luzuk_sanitize_text', 'Contact Us');

addColorPalatOption($wp_customize, 'contapg_subtitleclr', 'luzuk_premium_contactus_section', 'Sub Title Color', '#000');


lzAddElement($wp_customize, 'contpg_title', 'luzuk_premium_contactus_section', 'text', $label="Title ", 'luzuk_sanitize_text', 'Have Any Questions? Drop Us A Line!');

addColorPalatOption($wp_customize, 'contapg_titleclr', 'luzuk_premium_contactus_section', 'Title Color', '#182333');

lzAddElement($wp_customize, 'contpg_txt', 'luzuk_premium_contactus_section', 'text', $label="Text ", 'luzuk_sanitize_text', 'Lorem Ipsum is simply dummy text of the printing and typesetting industry. unknown printer took a galley');

addColorPalatOption($wp_customize, 'contapg_txrclr', 'luzuk_premium_contactus_section', 'Text Color', '#868686');

lzAddElement($wp_customize, 'luzuk_contactus_addtitle', 'luzuk_premium_contactus_section', 'text', $label="Contact Us Address Title", 'luzuk_sanitize_text', 'Our Address');
lzAddElement($wp_customize, 'luzuk_contactus_address', 'luzuk_premium_contactus_section', 'textarea', $label="Address ", 'luzuk_sanitize_text', 'Add Contact Address here..');

lzAddElement($wp_customize, 'luzuk_contactus_mailatitle', 'luzuk_premium_contactus_section', 'text', $label="Contact Us Email Title", 'luzuk_sanitize_text', 'Email');

lzAddElement($wp_customize, 'luzuk_contactus_email', 'luzuk_premium_contactus_section', 'text', $label="Contact Us Email", 'luzuk_sanitize_text', 'Info@Gmail.Com');

lzAddElement($wp_customize, 'luzuk_contactus_phonetitle', 'luzuk_premium_contactus_section', 'text', $label="Contact Us Phone Title", 'luzuk_sanitize_text', 'Support 24/7');

lzAddElement($wp_customize, 'luzuk_contactus_phone', 'luzuk_premium_contactus_section', 'text', $label="Contact Us Phone", 'luzuk_sanitize_text', '+ 1111-222-333');


lzCustomLable($wp_customize, 'contactus_Add_color', 'luzuk_premium_contactus_section', 'Contact Box Color');

addColorPalatOption($wp_customize, 'luzuk_contactus_detailiconColor', 'luzuk_premium_contactus_section', 'Contact Phone, Email, Address & Icon Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_contactus_detailemailtitleColor', 'luzuk_premium_contactus_section', 'Contact Email & Phone No. Title Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_contactus_detailemailColor', 'luzuk_premium_contactus_section', 'Contact Address , Email & Phone No. Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_contactus_detailemailhoverColor', 'luzuk_premium_contactus_section', 'Contact Details Email & Phone No. Hover Color', '#EC003F');

lzAddElement($wp_customize, 'luzuk_contactus_shortcode', 'luzuk_premium_contactus_section', 'textarea', $label="Form Shortcode", 'luzuk_sanitize_text', '[your shortcode]');

lzCustomLable($wp_customize, 'contactus_form_clr', 'luzuk_premium_contactus_section', 'Contact Form Color');


addColorPalatOption($wp_customize, 'luzuk_contactus_formlabelColor', 'luzuk_premium_contactus_section', 'Form Label Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_contactus_formtextplaceColor', 'luzuk_premium_contactus_section', 'Form Text and Placeholder Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_contactus_formborderbottomColor', 'luzuk_premium_contactus_section', 'Form Background Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnColor', 'luzuk_premium_contactus_section', 'Form Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnhoverColor', 'luzuk_premium_contactus_section', 'Form Button Text Hover Color', '#EC003F');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnbgColor', 'luzuk_premium_contactus_section', 'Form Button Background Color', '#EC003F');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnbghoverColor', 'luzuk_premium_contactus_section', 'Form Button Background Hover Color', '#000');

$wp_customize->add_setting('luzuk_contactus_iframe_lbl', array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
	new luzuk_Customize_Heading($wp_customize, 'luzuk_contactus_iframe_lbl',
		array(
			'settings'      => 'luzuk_contactus_iframe_lbl',
			'section'       => 'luzuk_premium_contactus_section',
			'label'         => __( 'Location Map', 'Luzuk' ),
		)
	)
);


$wp_customize->add_setting('luzuk_contactus_embade', array(/*'sanitize_callback' => 'esc_url_raw',*/ 'default'=>'Add your map embade code'));
$wp_customize->add_control('luzuk_contactus_embade', array('settings'=>'luzuk_contactus_embade', 'section'=>'luzuk_premium_contactus_section','type'=>'textarea', 'label'=> __('Code for map', 'Luzuk')));
